System
Date: 2016-06-24

java.lang

## Class System

- java.lang.Object
- - java.lang.System

-     public final class System
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PrintStream` | `err`
    `static InputStream` | `in`
    `static PrintStream` | `out`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `arraycopy(Object var0, int var1, Object var2, int var3, int var4)`
    `static long` | `currentTimeMillis()`
    `static void` | `exit(int var0)`
    `static void` | `gc()`
    `static Properties` | `getProperties()`
    `static String` | `getProperty(String var0)`
    `static String` | `getProperty(String var0, String var1)`
    `static SecurityManager` | `getSecurityManager()`
    `static int` | `identityHashCode(Object var0)`
    `static void` | `load(String var0)`
    `static void` | `loadLibrary(String var0)`
    `static String` | `mapLibraryName(String var0)`
    `static void` | `runFinalization()`
    `static void` | `setErr(PrintStream var0)`
    `static void` | `setIn(InputStream var0)`
    `static void` | `setOut(PrintStream var0)`
    `static void` | `setProperties(Properties var0)`
    `static String` | `setProperty(String var0, String var1)`
    `static void` | `setSecurityManager(SecurityManager var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### err

          public static final PrintStream err

    - #### in

          public static final InputStream in

    - #### out

          public static final PrintStream out

  - ### Method Detail

    - #### arraycopy

          public static void arraycopy(Object var0,
                       int var1,
                       Object var2,
                       int var3,
                       int var4)

    - #### currentTimeMillis

          public static long currentTimeMillis()

    - #### exit

          public static void exit(int var0)

    - #### gc

          public static void gc()

    - #### getProperties

          public static Properties getProperties()

    - #### getProperty

          public static String getProperty(String var0)

    - #### getProperty

          public static String getProperty(String var0,
                           String var1)

    - #### getSecurityManager

          public static SecurityManager getSecurityManager()

    - #### identityHashCode

          public static int identityHashCode(Object var0)

    - #### load

          public static void load(String var0)

    - #### loadLibrary

          public static void loadLibrary(String var0)

    - #### mapLibraryName

          public static String mapLibraryName(String var0)

    - #### runFinalization

          public static void runFinalization()

    - #### setErr

          public static void setErr(PrintStream var0)

    - #### setIn

          public static void setIn(InputStream var0)

    - #### setOut

          public static void setOut(PrintStream var0)

    - #### setProperties

          public static void setProperties(Properties var0)

    - #### setProperty

          public static String setProperty(String var0,
                           String var1)

    - #### setSecurityManager

          public static void setSecurityManager(SecurityManager var0)